package cn.map.test;

import java.io.IOException;
import java.util.List;

import com.mapabc.mapapi.GeoPoint;
import com.mapabc.mapapi.Geocoder;
import com.mapabc.mapapi.MapActivity;
import com.mapabc.mapapi.MapController;
import com.mapabc.mapapi.MapView;


import android.location.Address;
import android.location.Location;
import android.location.LocationManager;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

public class TestActivity extends MapActivity {

	private MapView mapView;
	private MapController mc;
	private GeoPoint gp;
	private List<Address> list;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.test);

		mapView = (MapView) findViewById(R.id.route_MapView);
		mapView.setBuiltInZoomControls(true);
		mc = mapView.getController();

		LocationManager lm = (LocationManager) getSystemService(LOCATION_SERVICE);
		//根据GPS获取
		Location location = lm
				.getLastKnownLocation(LocationManager.GPS_PROVIDER);
		if (location == null) {
			 location = lm
					.getLastKnownLocation(LocationManager.NETWORK_PROVIDER);
		}

		Double latitude = location.getLatitude();// 经度

		Double longitude = location.getLongitude();// 纬度

		
		// Double altitude = location.getAltitude();//海拔

		gp = new GeoPoint((int) (latitude * 1E6), (int) (longitude * 1E6));
		Geocoder geocoder = new Geocoder(this);
		try {
			 list = geocoder.getFromLocation(latitude, longitude, 4);
		} catch (IOException e) {
			e.printStackTrace();
		}
		for(int i=0;i<list.size();i++){
			
			Address ad = list.get(i);
		String country = ad.getCountryName();
		String area = ad.getAdminArea();
		String ress = ad.getAddressLine(0);
		String building = ad.getFeatureName();
	
			Log.i("TAG","地址是"+country+area+ress+building);
		}
		mc.setCenter(gp); // 设置地图中心点
		mc.setZoom(12);

	}

/*	class MyOverLay extends Overlay {

		private Location mlocation;

		public void setLocation(Location location) {

			this.mlocation = location;

		}

		@Override
		public boolean draw(Canvas canvas, MapView mapView, boolean shadow,

		long when) {

			// TODO Auto-generated method stub

			super.draw(canvas, mapView, shadow);

			Paint paint = new Paint();

			Point myScreen = new Point();

			

			mapView.getProjection().toPixels(gp, myScreen);

			paint.setStrokeWidth(1);

			paint.setARGB(255, 255, 0, 0);

			paint.setStyle(Paint.Style.STROKE);

			Bitmap bmp = BitmapFactory.decodeResource(getResources(),
					R.drawable.ic_launcher);
			// 把这张图片画到相应的位置。

			canvas.drawBitmap(bmp, myScreen.x, myScreen.y, paint);

			canvas.drawText("天堂没有路", myScreen.x, myScreen.y, paint);

			return true;

		}

	}*/

}